net.dontdrinkandroot.cluster.edgebetweenness

## Class AllDestDijkstra<V,E>

- java.lang.Object
- - net.dontdrinkandroot.cluster.edgebetweenness.AllDestDijkstra<V,E>

    public class AllDestDijkstra<V,E>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AllDestDijkstra(edu.uci.ics.jung.graph.Graph<V,E> g, V source)`
`AllDestDijkstra(edu.uci.ics.jung.graph.Graph<V,E> g, V source, org.apache.commons.collections15.Transformer<E,Double> wt)`

### Method Summary

Methods
`void` `compute()`
`Map<V,Set<E>>` `getPrev()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AllDestDijkstra

    public AllDestDijkstra(edu.uci.ics.jung.graph.Graph<V,E> g,
                   V source,
                   org.apache.commons.collections15.Transformer<E,Double> wt)

#### AllDestDijkstra

    public AllDestDijkstra(edu.uci.ics.jung.graph.Graph<V,E> g,
                   V source)

### Method Detail

#### compute

    public final void compute()

#### getPrev

    public final Map<V,Set<E>> getPrev()